GUIX(1)

NAME
guix - manual page for guix shell (GNU Guix) 1.4.0rc2

SYNOPSIS
guix shell [OPTION] PACKAGES... [-- COMMAND...]

DESCRIPTION
Build an environment that includes PACKAGES and execute COMMAND or an interactive shell in that environment.

-D, --development
    include the development inputs of the next package

-f, --file=FILE
    add to the environment the package FILE evaluates to

-q  inhibit loading of 'guix.scm' and 'manifest.scm'

--rebuild-cache
    rebuild cached environment, if any

--export-manifest
    print a manifest for the given options

-F, --emulate-fhs
    for containers, emulate the Filesystem Hierarchy Standard (FHS)

-e, --expression=EXPR
    create environment for the package that EXPR evaluates to

-m, --manifest=FILE
    create environment with the manifest from FILE

-p, --profile=PATH
    create environment from profile at PATH

--check
    check if the shell clobbers environment variables

--pure
    unset existing environment variables

-E, --preserve=REGEXP
    preserve environment variables that match REGEXP

--search-paths
    display needed environment variable definitions

-r, --root=FILE
    make FILE a symlink to the result, and register it as a garbage collector root

-C, --container
    run command within an isolated container

-N, --network
    allow containers to access the network

-P, --link-profile
    link environment profile to ~/.guix-profile within an isolated container

-u, --user=USER
    instead of copying the name and home of the current user into an isolated container, use the name USER with home directory /home/USER

--no-cwd
    do not share current working directory with an isolated container

--share=SPEC
    for containers, share writable host file system according to SPEC

--expose=SPEC
    for containers, expose read-only host file system according to SPEC

-S, --symlink=SPEC
    for containers, add symlinks to the profile according to SPEC, e.g. "/usr/bin/env=bin/env".

-v, --verbosity=LEVEL
    use the given verbosity LEVEL

--bootstrap
    use bootstrap binaries to build the environment

-L, --load-path=DIR
    prepend DIR to the package module search path

-K, --keep-failed
    keep build tree of failed builds

-k, --keep-going
    keep going when some of the derivations fail

-n, --dry-run
    do not build the derivations

--fallback
    fall back to building when the substituter fails

--no-substitutes
    build instead of resorting to pre-built substitutes

--substitute-urls=URLS
    fetch substitute from URLS if they are authorized

--no-grafts
    do not graft packages

--no-offload
    do not attempt to offload builds

--max-silent-time=SECONDS
    mark the build as failed after SECONDS of silence

--timeout=SECONDS
    mark the build as failed after SECONDS of activity

--rounds=N
    build N times in a row to detect non-determinism

-c, --cores=N
    allow the use of up to N CPU cores for the build

-M, --max-jobs=N
    allow at most N build jobs

--debug=LEVEL
    produce debugging output at LEVEL

--help-transform
    list package transformation options not shown here

-h, --help
    display this help and exit

-V, --version
    display version information and exit

REPORTING BUGS
Report bugs to: bug-guix@gnu.org.
GNU Guix home page: <https://www.gnu.org/software/guix/>
General help using Guix and GNU software: <https://guix.gnu.org/en/help/>

COPYRIGHT
Copyright © 2022 the Guix authors License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for guix is maintained as a Texinfo manual. If the info and guix programs are properly installed at your site, the command

    info guix

should give you access to the complete manual.